#include <net-snmp/net-snmp-config.h>
#include <net-snmp/net-snmp-includes.h>
#include <net-snmp/agent/net-snmp-agent-includes.h>

#include <stddef.h>
#include <unistd.h>

#include "dadi.h"
#include "inlines_mib.h"
int test_callback(int type, void *data, int size)
{
	if (data == NULL) {
		printf("Get done : %d\n", type);
	} else {
		printf("Set done : %d %d\n", type, *(int*)data);
	}
	return 1;
}

int main()
{
  dadi_first_init(test_callback);
  set_sntMacConfigUseGPSModule(0xab);
  set_sntMacConfigNcrOffset(0xab);
  set_sntMacConfigFwdLinkAutoStart(0xab);
  set_sntMacConfigFwdLinkMaxPCRMissed(0xab);
  set_sntMacConfigFwdLinkLastWorkingSet(0xab);
  set_sntMacConfigFwdLinkMaxSynchroRetryBeforeSwitch(0xab);
  set_sntMacConfigFwdLinkSpectrumInversion(0xab);
  set_sntMacConfigFwdLinkInteractiveNetworkId(0xab);
  set_sntMacConfigFwdLinkDvbTablesRxTimeout(0xab);
  set_sntMacConfigFwdLinkLnbSwitchingFrequency(0xab);
  set_sntMacConfigFwdLinkLnbHighBandMixingFrequency(0xab);
  set_sntMacConfigFwdLinkLnbLowBandMixingFrequency(0xab);
  set_sntMacConfigRtnLinkAutoStart(0xab);
  set_sntMacConfigRtnLinkMaxIfPowerLevel(0xab);
  set_sntMacConfigRtnLinkSpectrumInversion(0xab);
  set_sntMacConfigRtnLinkUlpcEnabled(0xab);
  set_sntMacConfigRtnLinkLogoffOnTrafficInactivityTimeout(0xab);
  set_sntMacConfigRtnLinkWpdAdvance(0xab);
  set_sntMacConfigRtnLinkCwMode(0xab);
  set_sntMacConfigCompressionFwdLinkHeaderEnabled(0xab);
  set_sntMacConfigCompressionFwdLinkDataEnabled(0xab);
  set_sntMacConfigCompressionRtnLinkHeaderEnabled(0xab);
  set_sntMacConfigCompressionRtnLinkDataEnabled(0xab);
  set_sntMacConfigQosRequestClassContentType(0xab);
  set_sntMacConfigQosIgnoreChannelId(0xab);
  set_sntMacConfigCraRemoveCraFromCapaRequest(0xab);
  set_sntMacConfigDataRateCalculationWindow(0xab);
  set_sntMacConfigGlobalCraLevel(0xab);
  set_sntMacConfigGlobalRbdcTimeout(0xab);
  set_sntMacConfigGlobalVbdcTimeout(0xab);
  set_sntMacConfigLogLevelMainInfo(0xab);
  set_sntMacConfigLogLevelMainDebug(0xab);
  set_sntMacConfigLogLevelTableManagerInfo(0xab);
  set_sntMacConfigLogLevelTableManagerDebug(0xab);
  set_sntMacConfigLogLevelTableParserInfo(0xab);
  set_sntMacConfigLogLevelTableParserDebug(0xab);
  set_sntMacConfigLogLevelFsmInfo(0xab);
  set_sntMacConfigLogLevelFsmDebug(0xab);
  set_sntMacConfigLogLevelPowerManagerInfo(0xab);
  set_sntMacConfigLogLevelPowerManagerDebug(0xab);
  set_sntMacConfigLogLevelManagementInfo(0xab);
  set_sntMacConfigLogLevelManagementDebug(0xab);
  set_sntMacConfigLogLevelWpdManagerInfo(0xab);
  set_sntMacConfigLogLevelWpdManagerDebug(0xab);
  set_sntMacConfigLogLevelDamaInfo(0xab);
  set_sntMacConfigLogLevelDamaDebug(0xab);
  set_sntMacConfigLogLevelEventManagerInfo(0xab);
  set_sntMacConfigLogLevelEventManagerDebug(0xab);
  set_sntMacConfigLogLevelSofHandlerInfo(0xab);
  set_sntMacConfigLogLevelSofHandlerDebug(0xab);
  set_sntMacConfigModemExternalReferenceEnable(0xab);
  set_sntMacConfigModemExternal24vEnable(0xab);
  set_sntMacConfigModemExternalHwMode(0xab);
  set_sntMacActionResetCounters(0xab);
  set_sntMacStatusDvbTableDumpId(0xab);
  set_sntMacStatusDvbTableDumpParam(0xab);
  set_sntMacStatusDvbTableDumpUpdatedCount(0xab);
  set_sntMacStatusFwdLinkSynchroSuccessCount(0xab);
  set_sntMacStatusFwdLinkSynchroFailureCount(0xab);
  set_sntMacStatusFwdLinkNCRLockLostCount(0xab);
  set_sntMacStatusFwdLinkMeasuredEbNo(0xab);
  set_sntMacStatusFwdLinkNcrDrift(0xab);
  set_sntMacStatusFwdLinkMpeErrors(0xab);
  set_sntMacStatusFwdLinkCmtCrcErrors(0xab);
  set_sntMacStatusFwdLinkTbtpCrcErrors(0xab);
  set_sntMacStatusFwdLinkDvbTablesDecodingErrorCount(0xab);
  set_sntMacStatusFwdLinkTransportStreamId(0xab);
  set_sntMacStatusRtnLinkGroupId(0xab);
  set_sntMacStatusRtnLinkLogonId(0xab);
  set_sntMacStatusRtnLinkLogonCount(0xab);
  set_sntMacStatusRtnLinkLogoffCount(0xab);
  set_sntMacStatusRtnLinkCmtMissedCount(0xab);
  set_sntMacStatusRtnLinkTbtpTooLateCount(0xab);
  set_sntMacStatusRtnLinkMissingWpdCount(0xab);
  set_sntMacStatusRtnLinkSyncSent(0xab);
  set_sntMacStatusRtnLinkCscSent(0xab);
  set_sntMacStatusRtnLinkSuperframeId(0xab);
  set_sntMacStatusRtnLinkSuperframeCounter(0xab);
  set_sntMacStatusRtnLinkPowerLevel(0xab);
  set_sntMacStatusRtnLinkDp(0xab);
  set_sntMacStatusRtnLinkTimeCorrection(0xab);
  set_sntMacStatusRtnLinkDt(0xab);
  set_sntMacStatusRtnLinkFrequencyCorrection(0xab);
  set_sntMacStatusRtnLinkDf(0xab);
  set_sntMacStatusRtnLinkSuperframeDuration(0xab);
  set_sntMacStatusRtnLinkSofProcessingTime(0xab);
  set_sntMacStatusRtnLinkFreqPlanProcessingTime(0xab);
  set_sntMacStatusQosIdleCellSent(0xab);
  dadi_mainloop();

  return 0;
}

